version: '3'
services:
  redis:
    image: 'redis:alpine3.14'
    container_name: 'redis'
    ports:
      - '6379:6379'
    volumes:
      - './config/redis.conf:/redis.conf'
    command: [ "redis-server", "/redis.conf" ]
  postgres:
    image: 'postgres:alpine3.14'
    container_name: 'postgres'
    environment:
      - 'POSTGRES_PASSWORD=123456'
      - 'POSTGRES_USER=jpeace08'
    ports:
      - '5432:5432'
    volumes:
      - './postgres/data:/var/lib/postgresql/data'
  pgadmin:
    image: 'dpage/pgadmin4'
    container_name: 'pgadmin4'
    environment:
      - 'PGADMIN_DEFAULT_EMAIL=phamgiau99@gmail.com'
      - 'PGADMIN_DEFAULT_PASSWORD=123456'
    ports:
      - '80:80'
  rabbitmq:
    image: 'rabbitmq:3.8-management-alpine'
    container_name: 'rabbitmq'
    ports:
      - '5672:5762'
      - '15672:15672'
    volumes:
      - './rabbitmq/data/:/var/lib/rabbitmq/'
      - './rabbitmq/log/:/var/log/rabbitmq'